javax.persistence.criteria

## Interface Order

    public interface Order

An object that defines an ordering over the query results.

Since:
  Java Persistence 2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`Expression<?>` `getExpression()` Return the expression that is used for ordering.
`boolean` `isAscending()` Whether ascending ordering is in effect.
`Order` `reverse()` Switch the ordering.

### Method Detail

#### reverse

    Order reverse()

Switch the ordering.

Returns:
  a new `Order` instance with the reversed ordering

#### isAscending

    boolean isAscending()

Whether ascending ordering is in effect.

Returns:
  boolean indicating whether ordering is ascending

#### getExpression

    Expression<?> getExpression()

Return the expression that is used for ordering.

Returns:
  expression used for ordering